%{?nodejs_find_provides_and_requires}

%global packagename is-text-path

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-is-text-path
Version:	1.0.1
Release:	1%{?dist}
Summary:	Check if a filepath is a text file

License:	MIT
URL:		https://github.com/sindresorhus/is-text-path
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/sindresorhus/is-text-path/%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(text-extensions)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Check if a filepath is a text file


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
